Subject: Re: bug#21750: show-paren-mode erroneously highlights the left margin

From: Stephen Berman <[email-masked]>
Date: Sun, 25 Oct 2015 22:33:40 +0100

On Sun, 25 Oct 2015 20:37:28 +0200 Eli Zaretskii <[email-masked]> wrote:

>> From: Stephen Berman <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Sat, 24 Oct 2015 23:54:02 +0200
>> 
>> >> I think this is a side effect of the general feature whereby an
>> >> overlay string "inherits" the face of the surrounding buffer text.
>> >> It doesn't matter whether the overlay string is displayed in the
>> >> window's display margin or in the text area.
>> 
>> Is this clearly documented in the Emacs Lisp manual?  If not, I think it
>> should be.
>
> Which part(s) of what I said you think should be clearly documented?
> The part about display/overlay strings using the face of the
> "underlying" text, or the fact that this applies to strings displayed
> on the display margins?

I guess the former, but I want to check the latter again, because I
have a recollection of seeing a difference, but I won't have time to try
tracking it down for several days.  I'll get back to you on this and the
rest of your questions.  Thanks.

Steve Berman